Bug 1260443 - cli: all DNF commands should use subparser
cli: all DNF commands should use subparser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 18:54 EDT by Igor Gnatenko
Modified: 2016-11-14 12:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-14 12:20:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-09-06 18:54:13 EDT
$ sudo dnf --releaserver=22 makecache
[sudo] password for brain: 
No such command: --releaserver=22. Please use /bin/dnf --help
It could be a DNF plugin command, try: "dnf install 'dnf-command(--releaserver=22)'"

for example, command: dnf distro-sync --releaserver=23 will download repos for f22 and only then prints that --releaserver is not a command.
Comment 1 Honza Silhan 2015-09-07 11:13:35 EDT
In order to parse the arguments more intelligently we need all dnf and plugin commands to assign their subparser to DNF ArgumentParser [1]. Lets this be a tracker bug for such replacement.

[1] https://github.com/rpm-software-management/dnf/pull/348
Comment 2 Jan Kurik 2016-02-24 08:43:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:33:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.